package com.rjconsultores.ventaboletos.vo.parada;

import com.rjconsultores.ventaboletos.entidad.Parada;

public class ParadaVO {
	
	private Integer paradaId;
	private String descparada;
	private Integer ciudadId;
	private String nombciudad;
	private Integer estadoId;
	private String nombestado;
	private String cveestado;
	private Integer rutaId;
	
	public ParadaVO(Integer paradaId, String descparada, Integer ciudadId, String nombciudad, Integer estadoId, String nombestado, String cveestado) {
		super();
		this.paradaId = paradaId;
		this.descparada = descparada;
		this.ciudadId = ciudadId;
		this.nombciudad = nombciudad;
		this.estadoId = estadoId;
		this.nombestado = nombestado;
		this.cveestado = cveestado;
	}
	
	public ParadaVO(Parada parada) {
		super();
		this.paradaId = parada.getParadaId();
		this.descparada = parada.getDescparada();
		this.ciudadId = parada.getCiudad().getCiudadId();
		this.nombciudad = parada.getCiudad().getNombciudad();
		this.estadoId = parada.getCiudad().getEstado().getEstadoId();
		this.nombestado = parada.getCiudad().getEstado().getNombestado();
		this.cveestado = parada.getCiudad().getEstado().getCveestado();
	}
	
	public ParadaVO(Integer paradaId) {
		super();
		this.paradaId = paradaId;
	}
	
	public ParadaVO(Integer paradaId, Integer rutaId) {
		super();
		this.paradaId = paradaId;
		this.rutaId = rutaId;
	}
	
	public Integer getParadaId() {
		return paradaId;
	}

	public void setParadaId(Integer paradaId) {
		this.paradaId = paradaId;
	}

	public String getDescparada() {
		return descparada;
	}

	public void setDescparada(String descparada) {
		this.descparada = descparada;
	}

	public Integer getCiudadId() {
		return ciudadId;
	}

	public void setCiudadId(Integer ciudadId) {
		this.ciudadId = ciudadId;
	}

	public String getNombciudad() {
		return nombciudad;
	}

	public void setNombciudad(String nombciudad) {
		this.nombciudad = nombciudad;
	}

	public Integer getEstadoId() {
		return estadoId;
	}

	public void setEstadoId(Integer estadoId) {
		this.estadoId = estadoId;
	}

	public String getNombestado() {
		return nombestado;
	}

	public void setNombestado(String nombestado) {
		this.nombestado = nombestado;
	}

	public String getCveestado() {
		return cveestado;
	}

	public void setCveestado(String cveestado) {
		this.cveestado = cveestado;
	}

	public Integer getRutaId() {
		return rutaId;
	}

	public void setRutaId(Integer rutaId) {
		this.rutaId = rutaId;
	}

}
